<template>
    <main-masterpage>
        <div class="text-main-title">Analytics Pixel Player</div>
        <div><date-range-picker /></div>
        <kpi-block :items="kpiItems" />
        <chart-component :chart-data="chartData" />
        <chart-component :chart-data="chartData2" />
    </main-masterpage>
</template>

<script>
import DateRangePicker from '@/components/DateRangePicker.vue'
import KpiBlock from '@/components/KpiBlock'
import ChartComponent from '@/components/ChartComponent.vue'
import MainMasterpage from '@/masterpages/MainMasterpage.vue'
export default {
    name: 'PixelDashboard',

    components: { DateRangePicker, KpiBlock, ChartComponent, MainMasterpage },

    data() {
        return {
            date: null,
            kpiItems: [
                {
                    label: 'Impressions',
                    number: 77,
                    comment: 'comment',
                    bgColor: '#ffdcdd',
                    color: '#f01527',
                },
                {
                    label: 'Impressions',
                    number: 77,
                    comment: 'comment',
                    bgColor: '#ffdcdd',
                    color: '#f01527',
                },
            ],
            chartData: {
                labels: [1, 2, 3, 4, 5, 6, 7],
                datasets: [
                    {
                        label: 'Impression per hour',
                        // backgroundColor: '#f87979',
                        data: [40, 39, 10, 40, 39, 80, 40],
                        tension: 0.3,
                        pointRadius: 0,
                        borderColor: '#c319ee',
                        backgroundColor: '#c319ee',
                    },
                ],
            },
            chartData2: {
                labels: [1, 2, 3, 4, 5, 6, 7],
                datasets: [
                    {
                        label: 'Impression per day',
                        // backgroundColor: '#f87979',
                        data: [40, 39, 10, 40, 39, 80, 40],
                        tension: 0.3,
                        pointRadius: 0,
                        borderColor: '#c319ee',
                        backgroundColor: '#c319ee',
                    },
                ],
            },
        }
    },
}
</script>

<style lang="scss" module>
@import '@/assets/styles/variables';
</style>
